-----------------------------------------------------------------------------
-- LODGE MMH
-----------------------------------------------------------------------------
    
-----------------------------------------------------------------------------    
-- Setup

function Setup()
    -- load world
    SetupWorld("Maps\\LodgeMMH\\LodgeMMH.ini", "","","");
		
    EntGame.SetGlobalDustColorInitial(.8, 0.65, .55, .45);
    EntGame.SetGlobalDustColorFinal  (0.0, 0.65, .55, .45);
    
    -- show the scene from the intro camera
    EntGame.BindCameraToEntity("IntroCamera");
    
    -- tell the game the world has loaded
    Entity.GameEventPre(Game.GetRootEntity(), GE_WORLDLOADED, 0);	

    if (0==1) then
        -- while the scene is black, change the view
        -- grab the camera
        entRoot = Game.GetRootEntity();
        entMenuRoot = Entity.FindName(entRoot, "MenuRoot");
        Entity.SetBool(entMenuRoot, "drawRecurse", false);
       
        EntGame.Pause();
        System.ConsoleBeep(440, 2000);
        Script.WaitSec(3.0);
        System.ConsoleBeep(440, 2000);
        EntGame.Resume();
        System.ConsoleBeep(440, 100);
        Entity.SetBool(entMenuRoot, "drawRecurse", true);
        end;
    
    -- now, fade in, give the player control and turn the HUD on        
--    FadeIn();            
    
    end;


-----------------------------------------------------------------------------
-- Main entry point
   
Setup();   
   